Bug 188960 - artsd won't load
artsd won't load
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: arts (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-13 18:22 EDT by Michael McLagan
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-14 05:21:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael McLagan 2006-04-13 18:22:00 EDT
Description of problem:
artsd spits out error message and segfaults

Version-Release number of selected component (if applicable):
arts-1.5.1-1.2


How reproducible:
Every time

Steps to Reproduce:
1. go to cmd line
2. enter 'artsd'
3.
  
Actual results:
unix_connect: can't connect to server
(unix:/tmp/ksocket-root/linux.invlogic.com-5a97-443eceab)
loading extension from '/usr/lib/libartsmidi.la' failed:
/usr/lib/libartsmidi.so.0: undefined symbol:
_ZTv0_n32_N4Arts14StdSynthModule11autoSuspendEv
MCOP ObjectManager: Could not load extension libartsmidi.la.
MCOP ObjectManager: can't find implementation for Arts::MidiManager.
loading extension from '/usr/lib/libartsbuilder.la' failed:
/usr/lib/libartsbuilder.so.0: undefined symbol:
_ZTv0_n32_N4Arts16SynthModule_stub11autoSuspendEv
MCOP ObjectManager: Could not load extension libartsbuilder.la.
MCOP ObjectManager: can't find implementation for Arts::ArtsBuilderLoader.

Expected results:
artsd silently starts up

Additional info:
I tried recompiling it locally, didn't make a difference.  I don't have any
missing dependancies where that symbol might be located, at least not that
I know of.  Kernel is 2.6.16.5.
Comment 1 Ngo Than 2006-04-14 05:21:10 EDT
it seems you have installed some kde packages (kdemultimedia) from kde-redhat
Project , which could cause this this problem.

You should please update to KDE 3.5.2 from fc4-update-testing. I should fix this
problem.

Note You need to log in before you can comment on or make changes to this bug.